org.apache.commons.net.ftp

## Class DeflateSocket

- java.lang.Object
- - java.net.Socket
  - - org.apache.commons.net.ftp.DelegateSocket
    - - org.apache.commons.net.ftp.DeflateSocket

- All Implemented Interfaces:
    Closeable, AutoCloseable

      final class DeflateSocket
      extends DelegateSocket

  Wrapper class for FTP data channel sockets when compressing data in the "deflate" compression format. All methods except of `getInputStream()` and `getOutputStream()` are calling the delegate methods directly.

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.net.ftp.DelegateSocket

      `delegate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeflateSocket(Socket delegate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InputStream` | `getInputStream()`
    `OutputStream` | `getOutputStream()`

    - ### Methods inherited from class org.apache.commons.net.ftp.DelegateSocket

      `bind, close, connect, connect, getChannel, getInetAddress, getKeepAlive, getLocalAddress, getLocalPort, getLocalSocketAddress, getOOBInline, getPort, getReceiveBufferSize, getRemoteSocketAddress, getReuseAddress, getSendBufferSize, getSoLinger, getSoTimeout, getTcpNoDelay, getTrafficClass, isBound, isClosed, isConnected, isInputShutdown, isOutputShutdown, sendUrgentData, setKeepAlive, setOOBInline, setPerformancePreferences, setReceiveBufferSize, setReuseAddress, setSendBufferSize, setSoLinger, setSoTimeout, setTcpNoDelay, setTrafficClass, shutdownInput, shutdownOutput, toString`

    - ### Methods inherited from class java.net.Socket

      `setSocketImplFactory`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DeflateSocket

          DeflateSocket(Socket delegate)

  - ### Method Detail

    - #### getInputStream

          public InputStream getInputStream()
                                     throws IOException

      Overrides:
        `getInputStream` in class `DelegateSocket`
      Throws:
        `IOException`

    - #### getOutputStream

          public OutputStream getOutputStream()
                                       throws IOException

      Overrides:
        `getOutputStream` in class `DelegateSocket`
      Throws:
        `IOException`